<template>
	<div class="login_main_wrapper min-vh-100">
		<main class="login_main">
			<div class="login_main_card">
				<div class="login_main_card_ttl">Вход</div>


				<div class="login_main_card_cnt">
					<form @submit.prevent="submitForm" @keydown="form.errors.clear($event.target.name)" v-if="false">
						<div class="form-group">
							<label>{{ $store.state.locale.login }}</label>
							<div class="d-flex">
								<div class="flex-fill pr-2">
									<input type="text" class="form-control" :class="noUserMessage ? 'is-invalid' : ''" v-model="form.username">
									<div v-if="noUserMessage" class="invalid-feedback text-center">{{ noUserMessage }}</div>
								</div>

								<div class="flex-grow-0">
									<button type="button" class="btn login_send_btn" @click="SendOTP">
										<i class="mdi mdi-email-outline"></i>
									</button>
								</div>
							</div>
						</div>


						<div v-if="otpSent">
							<div class="form-group">
								<label>{{ $store.state.locale.password }}</label>
								<input type="password" class="form-control" :class="form.errors.has('form.password') || form.errors.errorMessage ? 'is-invalid' : ''" v-model="form.password">
								<div v-if="form.errors.errorMessage" class="invalid-feedback text-center">{{form.errors.errorMessage}}</div>
							</div>

							<button type="submit" class="btn login_main_sign_btn">{{ $store.state.locale.sign }}</button>
						</div>


						<!--<div class="form-group">-->
						<!--<a href="" class="login_main_sign_fgt">Забыли пароль?</a>-->
						<!--</div>-->
					</form>



					<form @submit.prevent="submitFormOld" @keydown="form.errors.clear($event.target.name)" >
						<div class="form-group">
							<label>{{ $store.state.locale.login }}</label>
							<input type="text" class="form-control" :class="form.errors.has('form.username') || form.errors.errorMessage ? 'is-invalid' : ''" v-model="form.username">
						</div>


						<div class="form-group">
							<label>{{ $store.state.locale.password }}</label>
							<input type="password" class="form-control" :class="form.errors.has('form.password') || form.errors.errorMessage ? 'is-invalid' : ''" v-model="form.password">
							<div v-if="form.errors.errorMessage" class="invalid-feedback text-center">{{form.errors.errorMessage}}</div>
						</div>


						<div class="form-group">
							<div class="custom-control custom-checkbox login_main_sign_chk">
								<input type="checkbox" class="custom-control-input" id="customCheck1" v-model="saveCredentials">
								<label class="custom-control-label" for="customCheck1">{{ $store.state.locale.remember }}</label>
							</div>
						</div>

						<div class="form-group">
							<button type="submit" class="btn login_main_sign_btn">{{ $store.state.locale.sign }}</button>
						</div>


						<!--<div class="form-group">-->
						<!--<a href="" class="login_main_sign_fgt">Забыли пароль?</a>-->
						<!--</div>-->
					</form>
				</div>
			</div>
		</main>


		<footer class="login_footer">
			<div class="login_foot_info">
				<div class="login_foot_info_it com">
					<a href="http://kommunal.toshkent.uz" class="d-flex align-items-center" target="_blank">
						<img src="/img/logo_communal.svg" class="img">
						<div class="txt">
							Центр Управление <br>
							Коммунальными службами
						</div>
					</a>
				</div>

				<div class="login_foot_info_it gen">
					<a href="http://igenius.uz" class="d-flex align-items-center" target="_blank">
						<img src="/img/logo_genesis_inverse.svg" class="img">
						<div class="txt">
							Genesis <br>
							Innovation
						</div>
					</a>
				</div>

				<div class="login_foot_info_it crd">
					<a href="https://uzcard.uz" class="d-flex align-items-center" target="_blank">
						<img src="/img/logo_uzcard_inverse.svg" class="img">
						<div class="txt">Uzcard</div>
					</a>
				</div>
			</div>


			<div class="login_foot_policy">
				<div class="d-flex flex-wrap align-items-center justify-content-around container">
					<a href="javascript:void(0)" class="text-decoration-none" data-toggle="modal" data-target="#confidModal">{{ $store.state.locale.privacy }}</a>
					<div class="d-flex align-items-center text-decoration-none" >
						<div class="txt text-decoration-none mr-2">
							{{$store.state.locale.created_by}}:
						</div>
						<a href="http://igenius.uz" class="txt text-left text-decoration-none" target="_blank">
							Genesis
							Innovation
						</a>
					</div>
				</div>
			</div>
		</footer>




		<div class="modal fade" id="confidModal">
			<div class="modal-dialog fn_ivr_modal">
				<div class="modal-content">
					<div class="modal-header">
						<div>
							<div style="text-align: right;">
								<span data-dismiss="modal" style="cursor: pointer;">
									&#10005;
								</span>
							</div>
							<h5 class="modal-title d-flex justify-content-center w-100">{{ $store.state.locale.privacy }}</h5>
						</div>
					</div>
					<div class="modal-body">
						<p>
							Благодарим Вас за обращение в crm24.uz. Пользуясь нашими услугами, вы принимаете правила, описанные в настоящей Политике конфиденциальности.
							Собранная информация
							Информация, которую мы собираем, как правило, подразделяется на следующие две категории: личная информация и информация, не идентифицирующая личность.
							Личная информация: это относится к информации, которая позволяет нам узнать, кто вы. Личная информация, которую мы собираем, может включать ваше имя, адрес проживания, почтовый адрес, номер телефона и адрес электронной почты.
							Информация, не идентифицирующая личность: относится к информации, которая сама по себе не идентифицирует конкретное лицо.
							Как crm24.uz  использует вашу информацию
							Мы используем вашу личную информацию, чтобы предоставить вам запрошенную информацию. Мы используем не личную информацию на совокупной основе для анализа поведения клиентов, чтобы помочь нам понять, как улучшить предоставляемые услуги.
							Обмен информацией с третьими сторонами
							Мы не обмениваем и не сдаем в аренду другим лицам Личную информацию, которую мы собираем. Если у нас нет вашего разрешения, мы будем передавать личную информацию, которую вы предоставляете, только другим аффилированным лицам и / или предприятиям, которые предоставляют услуги для crm24.uz, и только для целей, описанных в настоящем документе.
							Мы также оставляем за собой право сообщать правоохранительным органам о любых действиях, которые мы добросовестно считаем незаконными. Мы можем раскрывать определенную Лично идентифицируемую информацию, если мы считаем, что такая публикация разумно необходима для обеспечения соблюдения или применения наших Условий использования или для защиты прав, собственности и безопасности других и нас самих.
							Изменения в Политике конфиденциальности
							crm24.uz  оставляет за собой право изменять эту политику конфиденциальности в любое время, и эти изменения будут незамедлительно отражены в настоящей Политике конфиденциальности на нашем Сайте.
							Любой человек, заходящий на этот сайт, соглашается со следующим:
							Благодарим Вас за посещение («crm24.uz»). Перед использованием этого Сайта, пожалуйста, ознакомьтесь с Условиями использования («Условия») в отношении использования вами Сайта. Если вы согласны с Условиями, вы можете продолжить просмотр этого веб-сайта. Если вы не согласны с Условиями использования, вы не можете продолжать использовать этот сайт.
						</p>
					</div>
				</div>
			</div>
		</div>

	</div>
</template>

<style scoped>



</style>


<script src="./LoginScript.js"></script>
